Option List for Javascript

Updated on May 17, 2021

Javascript Option List Option List for Javascript

Option List - Settings

Change demo
Settings
Javascript Horizontally scrollable option list for turning settings on and off. Use it with icons and labels. Plain JS api for usage everywhere.
Copy code
// Use the settings object to change the theme
mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

mobiscroll.optionlist('#demo', {
    onItemTap: function (event, inst) {
        mobiscroll.toast({
            message: event.target.textContent + (event.target.classList.contains('mbsc-ms-item-sel') ? ' ON' : ' OFF')
        });
    }
});

mobiscroll.listview('.md-notifications', {
    enhance: true,
    stages: [{
        percent: -30,
        icon: 'remove',
        text: 'dismiss',
        action: function (event, inst) {
            inst.remove(event.target);
            return false;
        }
    }, {
        percent: 30,
        icon: 'remove',
        text: 'dismiss',
        action: function (event, inst) {
            inst.remove(event.target);
            return false;
        }
    }]
});
<ul id="demo" class="mbsc-cloak">
    <li data-selected="true" data-icon="connection">Wi-Fi</li>
    <li data-icon="ion-bluetooth">Bluetooth</li>
    <li data-icon="location">Location</li>
    <li data-icon="fa-rotate-left"><span>Screen<br/>rotation</span></li>
    <li data-selected="true" data-icon="volume-medium">Sound</li>
    <li data-icon="download">Data</li>
    <li data-icon="foundation-minus-circle"><span>Blocking<br/>mode</span></li>
    <li data-icon="airplane"><span>Airplane<br />mode</span></li>
    <li data-selected="true" data-icon="fa-leaf"><span>Power<br/>saving</span></li>
    <li data-icon="alarm2">Alarm</li>
    <li data-icon="ion-android-system-windows"><span>Multi<br/>window</span></li>
</ul>
<div mbsc-form>
    <div>
        <label>
            <input mbsc-slider value="55" type="range" data-icon='{ "left": "brightness-contrast" }'>
        </label>
        <label>
            <input mbsc-slider value="85" type="range" data-icon='{ "left": "volume-medium" }'>
        </label>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Notifications</div>
        <ul class="md-notifications mbsc-cloak">
            <li data-icon="ion-usb">
                <p>Connected as a media device</p>
                <p>Touch for other USB options</p>
            </li>
            <li data-icon="foundation-mail">
                <p>4 new messages</p>
                <p>hello@mobiscroll.com</p>
            </li>
            <li data-icon="foundation-mail">
                <p>1 new message</p>
                <p>support@mobiscroll.com</p>
            </li>
            <li data-icon="alarm2">
                <p>Time to wake up</p>
                <p>8:00 AM</p>
            </li>
            <li data-icon="calendar">
                <p>Google I/O Keynote</p>
                <p>Moscone West</p>
            </li>
            <li data-icon="download">
                <p>Download finished </p>
                <p>mobiscroll.custom-2.17.0.zip</p>
            </li>
        </ul>
    </div>
</div>

Option List - Scroll options

Change demo
Scroll options
Javascript Horizontally scrollable option list demo for activating settings or actions. Example using icons only. Plain JS api for usage everywhere.
Copy code

Option List - Single/multiple select

Change demo
Single/multiple select
Javascript Option list demo with single select and multiple select examples. Use it with a fixed with or scrollable list. Plain JS api for usage everywhere.
Copy code

Option List - Event handlers

Change demo
Event handlers
Javascript Horizontally scrollable option list with event hooks for custom integration and functionality. With source code. Plain JS api for usage everywhere.
Clear event log
EVENTS FIRED: 
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Option List for Angular and Ionic Framework

Updated on May 17, 2021

Angular and Ionic Option List Option List for Angular and Ionic Framework

Option List - Settings

Change demo
Settings
Angular Horizontally scrollable option list for turning settings on and off. Use it with icons and labels. For Angular 22 and Ionic 8.
Copy code
import { Component } from '@angular/core';
import { mobiscroll } from '@mobiscroll/angular';

mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    brightness = 55;
    volume = 85;

    optionSettings: MbscOptionlistOptions = {
        itemWidth: 72
    };

    listSettings: MbscListviewOptions = {
        enhance: true,
        stages: [{
            percent: -30,
            action: function (event, inst) {
                inst.remove(event.target);
                return false;
            },
            icon: 'remove',
            text: 'dismiss'
        }, {
            percent: 30,
            action: function (event, inst) {
                inst.remove(event.target);
                return false;
            },
            icon: 'remove',
            text: 'dismiss'
        }]
    };

    optionItems = [{
        selected: true,
        icon: 'connection',
        text: 'Wi-Fi'
    }, {
        selected: false,
        icon: 'ion-bluetooth',
        text: 'Bluetooth'
    }, {
        selected: false,
        icon: 'location',
        text: 'Location'
    }, {
        selected: false,
        icon: 'fa-rotate-left',
        text: 'Screen rotation'
    }, {
        selected: true,
        icon: 'volume-medium',
        text: 'Sound'
    }, {
        selected: false,
        icon: 'download',
        text: 'Data'
    }, {
        selected: false,
        icon: 'foundation-minus-circle',
        text: 'Blocking mode'
    }, {
        selected: false,
        icon: 'airplane',
        text: 'Airplane mode'
    }, {
        selected: true,
        icon: 'fa-leaf',
        text: 'Power saving'
    }, {
        selected: false,
        icon: 'alarm2',
        text: 'Alarm'
    }, {
        selected: false,
        icon: 'ion-android-system-windows',
        text: 'Multi window'
    }];

    showToast(option) {
        mobiscroll.toast({
            message: option.text + (option.selected ? ' ON' : ' OFF')
        });
    }
}
<mbsc-optionlist [options]="optionSettings">
    <mbsc-option-item *ngFor="let item of optionItems" [(selected)]="item.selected" [disabled]="item.disabled" [icon]="item.icon" (click)="showToast(item)">
        {{item.text}}
    </mbsc-option-item>
</mbsc-optionlist>

<mbsc-form [options]="formSettings">
    <div>
        <mbsc-slider [(ngModel)]="brightness" icon='{ "left": "brightness-contrast" }'></mbsc-slider>
        <mbsc-slider [(ngModel)]="volume" icon='{ "left": "volume-medium" }'></mbsc-slider>
    </div>
    <mbsc-form-group>
        <mbsc-form-group-title>Notifications</mbsc-form-group-title>
        <mbsc-listview [options]="listSettings">
            <mbsc-listview-item icon="ion-usb">
                <p>Connected as a media device</p>
                <p>Touch for other USB options</p>
            </mbsc-listview-item>
            <mbsc-listview-item icon="foundation-mail">
                <p>4 new messages</p>
                <p>hello@mobiscroll.com</p>
            </mbsc-listview-item>
            <mbsc-listview-item icon="foundation-mail">
                <p>1 new message</p>
                <p>support@mobiscroll.com</p>
            </mbsc-listview-item>
            <mbsc-listview-item icon="alarm2">
                <p>Time to wake up</p>
                <p>8:00 AM</p>
            </mbsc-listview-item>
            <mbsc-listview-item icon="calendar">
                <p>Google I/O Keynote</p>
                <p>Moscone West</p>
            </mbsc-listview-item>
            <mbsc-listview-item icon="download">
                <p>Download finished </p>
                <p>mobiscroll.custom-2.17.0.zip</p>
            </mbsc-listview-item>
        </mbsc-listview>
    </mbsc-form-group>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Option List - Scroll options

Change demo
Scroll options
Angular Horizontally scrollable option list demo for activating settings or actions. Example using icons only. For Angular 22 and Ionic 8.
Copy code

Option List - Single/multiple select

Change demo
Single/multiple select
Angular Option list demo with single select and multiple select examples. Use it with a fixed with or scrollable list. For Angular 22 and Ionic 8.
Copy code

Option List - Event handlers

Change demo
Event handlers
Angular Horizontally scrollable option list with event hooks for custom integration and functionality. With source code. For Angular 22 and Ionic 8.
Clear event log
EVENTS FIRED: 
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Option List for React

Updated on May 17, 2021

React Option List Option List for React

Option List - Settings

Change demo
Settings
React Horizontally scrollable option list for turning settings on and off. Use it with icons and labels. For React and Next.JS.
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

class ListItem extends React.Component {
    render() {
         return <li icon={this.props.item.icon}>
            <p>{this.props.item.text1}</p>
            <p>{this.props.item.text2}</p>
        </li>;
    }
}

class App extends React.Component {
    constructor(props) {
        super(props);

        this.state = {
            options: [{
                selected: true,
                icon: "connection",
                text: "Wi-Fi"
            }, {
                selected: false,
                icon: "ion-bluetooth",
                text: "Bluetooth"
            }, {
                selected: false,
                icon: "location",
                text: "Location"
            }, {
                selected: false,
                icon: "fa-rotate-left",
                text: "Screen rotation"
            }, {
                selected: true,
                icon: "volume-medium",
                text: "Sound"
            }, {
                selected: false,
                icon: "download",
                text: "Data"
            }, {
                selected: false,
                icon: "foundation-minus-circle",
                text: "Blocking mode"
            }, {
                selected: false,
                icon: "airplane",
                text: "Airplane mode"
            }, {
                selected: true,
                icon: "fa-leaf",
                text: "Power saving"
            }, {
                selected: false,
                icon: "alarm2",
                text: "Alarm"
            }, {
                selected: false,
                icon: "ion-android-system-windows",
                text: "Multi window"
            }],
            items: [{
                id: 1,
                icon: "ion-usb",
                text1: "Connected as a media device",
                text2: "Touch for other USB options"
            }, {
                id: 2,
                icon: "foundation-mail",
                text1: "4 new messages",
                text2: "hello@mobiscroll.com"
            }, {
                id: 3,
                icon: "foundation-mail",
                text1: "1 new message",
                text2: "support@mobiscroll.com"
            }, {
                id: 4,
                icon: "alarm2",
                text1: "Time to wake up",
                text2: "8:00 AM"
            }, {
                id: 5,
                icon: "calendar",
                text1: "Google I/O Keynote",
                text2: "Moscone West"
            }, {
                id: 6,
                icon: "download",
                text1: "Download finished",
                text2: "mobiscroll.custom-2.17.0.zip"
            }]
        };
    }
    
    stages = () => {
        return {
            left: [{
                percent: 30,
                icon: 'remove',
                text: 'dismiss',
                action: (event, inst) => {
                    inst.remove(event.target);
                    return false;
                }
            }],
            right: [{
                percent: -30,
                icon: 'remove',
                text: 'dismiss',
                action: (event, inst) => {
                    inst.remove(event.target);
                    return false;
                }
            }]
        };
    }
    
    toggleOption = (index) => {
        var options = this.state.options;
        
        options[index].selected = !options[index].selected;

        mobiscroll.toast({
            message: options[index].text + (options[index].selected ? ' ON' : ' OFF')
        });
        
        this.setState({ options: options });
    }
    
    render() {
        return (
            <div>
                <mobiscroll.Optionlist itemWidth={72}>
                    {this.state.options.map((option, index) => {
                    return (
                        <mobiscroll.OptionItem
                            key={index}
                            icon={option.icon}
                            selected={option.selected}
                            data-text="teszt"
                            onClick={this.toggleOption.bind(null, index)}>
                            {option.text}
                        </mobiscroll.OptionItem>
                    );
                }, this)}
                </mobiscroll.Optionlist>
                <mobiscroll.Form>
                    <mobiscroll.Slider value={55} icon='{ "left": "brightness-contrast" }' />
                    <mobiscroll.Slider value={85} icon='{ "left": "volume-medium" }' />
                    <mobiscroll.FormGroup>
                        <mobiscroll.FormGroupTitle>Notifications</mobiscroll.FormGroupTitle>
                        <mobiscroll.Listview
                            enhance={true}
                            itemType={ListItem} 
                            data={this.state.items}
                            stages={this.stages()}
                        />
                    </mobiscroll.FormGroup>
                </mobiscroll.Form>
            </div>
        );
    }
}

<div id="content"></div>

Option List - Scroll options

Change demo
Scroll options
React Horizontally scrollable option list demo for activating settings or actions. Example using icons only. For React and Next.JS.
Copy code

Option List - Single/multiple select

Change demo
Single/multiple select
React Option list demo with single select and multiple select examples. Use it with a fixed with or scrollable list. For React and Next.JS.
Copy code

Option List - Event handlers

Change demo
Event handlers
React Horizontally scrollable option list with event hooks for custom integration and functionality. With source code. For React and Next.JS.
Clear event log
EVENTS FIRED: 
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos